: Class CompressedGeometryHeader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class CompressedGeometryHeader

    java.lang.Object
      |
      +--javax.media.j3d.CompressedGeometryHeader

public class CompressedGeometryHeader
extends java.lang.Object

The CompressedGeometrHeader object is used in conjunction with the CompressedGeometry object. The CompressedGeometrHeader object contains information specific to the compressed geometry stored in CompressedGeometry NodeComponent object. This information is used to aid the decompression of the compressed geometry.

All instance data is declared public and no get or set methods are provided.

See Also:
  `CompressedGeometry`

Field Summary
`static int` | `ALPHA_IN_BUFFER` bufferDataPresent: bit indicating that alpha information is bundled with the vertices in the compressed geometry buffer.
`int` | `bufferDataPresent` Contains bits indicating what data is bundled with the vertices in the compressed geometry buffer.
`int` | `bufferType` Describes the type of data in the compressed geometry buffer.
`static int` | `COLOR_IN_BUFFER` bufferDataPresent: bit indicating that RGB color information is bundled with the vertices in the compressed geometry buffer.
`static int` | `LINE_BUFFER` bufferType: compressed geometry is made up of line segments.
`int` | `majorVersionNumber` The major version number for the compressed geometry format that was used to compress the geometry.
`int` | `minorMinorVersionNumber` The minor-minor version number for the compressed geometry format that was used to compress the geometry.
`int` | `minorVersionNumber` The minor version number for the compressed geometry format that was used to compress the geometry.
`static int` | `NORMAL_IN_BUFFER` bufferDataPresent: bit indicating that normal information is bundled with the vertices in the compressed geometry buffer.
`static int` | `POINT_BUFFER` bufferType: compressed geometry is made up of individual points.
`double` | `scale` Deprecated. compressed geometry scale should be set by a Transform
`int` | `size` Size of the compressed geometry in bytes.
`int` | `start` Offset in bytes of the start of the compressed geometry from the beginning of the compressed geometry buffer.
`static int` | `TRIANGLE_BUFFER` bufferType: compressed geometry is made up of triangles.
`double` | `xOffset` Deprecated. compressed geometry xOffset should be set by a Transform
`double` | `yOffset` Deprecated. compressed geometry yOffset should be set by a Transform
`double` | `zOffset` Deprecated. compressed geometry zOffset should be set by a Transform

Constructor Summary
`CompressedGeometryHeader()` Creates a new CompressedGeometryHeader object used for the creation of a CompressedGeometry NodeComponent object.

Method Summary
`java.lang.String` | `toString()` Returns a String describing the contents of the CompressedGeometryHeader object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### POINT_BUFFER

    public static final int POINT_BUFFER

  bufferType: compressed geometry is made up of individual points.

### LINE_BUFFER

    public static final int LINE_BUFFER

  bufferType: compressed geometry is made up of line segments.

### TRIANGLE_BUFFER

    public static final int TRIANGLE_BUFFER

  bufferType: compressed geometry is made up of triangles.

### NORMAL_IN_BUFFER

    public static final int NORMAL_IN_BUFFER

  bufferDataPresent: bit indicating that normal information is bundled with the vertices in the compressed geometry buffer.

### COLOR_IN_BUFFER

    public static final int COLOR_IN_BUFFER

  bufferDataPresent: bit indicating that RGB color information is bundled with the vertices in the compressed geometry buffer.

### ALPHA_IN_BUFFER

    public static final int ALPHA_IN_BUFFER

  bufferDataPresent: bit indicating that alpha information is bundled with the vertices in the compressed geometry buffer.

### majorVersionNumber

    public int majorVersionNumber

  The major version number for the compressed geometry format that was used to compress the geometry.

### minorVersionNumber

    public int minorVersionNumber

  The minor version number for the compressed geometry format that was used to compress the geometry.

### minorMinorVersionNumber

    public int minorMinorVersionNumber

  The minor-minor version number for the compressed geometry format that was used to compress the geometry.

### bufferType

    public int bufferType

  Describes the type of data in the compressed geometry buffer. Only one type may be present in any given compressed geometry buffer.

### bufferDataPresent

    public int bufferDataPresent

  Contains bits indicating what data is bundled with the vertices in the compressed geometry buffer. If this data is not present (e.g. color) then this info will be inherited from the Appearance node.

### scale

    public double scale

  Deprecated. compressed geometry scale should be set by a Transform

  The uniform scale value needed to be applied to every point in the compressed geometry buffer to restore the geometry to its original (uncompressed) postion.

### xOffset

    public double xOffset

  Deprecated. compressed geometry xOffset should be set by a Transform

  The x offset needed to be applied to every point in the compressed geometry buffer to restore the geometry to its original (uncompressed) postion.

### yOffset

    public double yOffset

  Deprecated. compressed geometry yOffset should be set by a Transform

  The y offset needed to be applied to every point in the compressed geometry buffer to restore the geometry to its original (uncompressed) postion.

### zOffset

    public double zOffset

  Deprecated. compressed geometry zOffset should be set by a Transform

  The z offset needed to be applied to every point in the compressed geometry buffer to restore the geometry to its original (uncompressed) postion.

### size

    public int size

  Size of the compressed geometry in bytes.

### start

    public int start

  Offset in bytes of the start of the compressed geometry from the beginning of the compressed geometry buffer.

Constructor Detail

### CompressedGeometryHeader

    public CompressedGeometryHeader()

  Creates a new CompressedGeometryHeader object used for the creation of a CompressedGeometry NodeComponent object. All instance data is declared public and no get or set methods are provided. All values are set to 0 by default and must be filled in by the application.
  See Also:
    `CompressedGeometry`

Method Detail

### toString

    public java.lang.String toString()

  Returns a String describing the contents of the CompressedGeometryHeader object.
  Overrides:
    toString in class java.lang.Object
  Returns:
    a String describing contents of the compressed geometry header

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD